Folks.StructuredName – folks Reference Manual

# StructuredName

## Object Hierarchy:

## Description:

public class StructuredName : Object

Structured name representation for human names.

Represents a full name split in its constituent parts (given name, family name, etc.). This structure corresponds to the "N" field in vCards. The parts of the name are never `null`: an empty string indicates that a property is not set.

## Since:

0.3.5

Namespace: Folks
Package: folks

## Content:

### Properties:

- public string additional_names { get; set construct; }
  Additional names.
- public string family_name { get; set construct; }
  The family name.
- public string given_name { get; set construct; }
  The given name.
- public string prefixes { get; set construct; }
  The prefixes of a name.
- public string suffixes { get; set construct; }
  The suffixes of a name.

### Creation methods:

- public StructuredName (string? family_name, string? given_name, string? additional_names, string? prefixes, string? suffixes)
  Create a StructuredName.
- public StructuredName.simple (string? family_name, string? given_name)
  Create a StructuredName.

### Methods:

- public bool equal (StructuredName other)
  Whether two StructuredNames are the same.
- public bool is_empty ()
  Whether none of the components is set.
- public string to_string ()
  Formatted version of the structured name.
- public string to_string_with_format (string name_fmt)
  Formatted version of the structured name.

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref